#### D.4.16.31 compareMatrix

Procedure from library `modules.lib` (see modules_lib).

Usage:
  compareMatrix(M,N); or M==N; compares two Matrices

Return:
  1 or 0, if the are the same or aren't

Example:

    LIB "modules.lib";
    ring r;
    matrix ma[2][2]=x,y,x,y;
    Matrix M=ma;
    matrix na[2][1]=-y,x;
    Matrix N=na;
    M;
    ==>     {1} {1}
    ==> {0}   x   y
    ==> {0}   x   y
    ==>
    N;
    ==>      {1}
    ==> {0}   -y
    ==> {0}    x
    ==>
    N==M;
    ==> 0
    M==M;
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.